## crystalcursors 1.1.1

=== Makefile ===
export PREFIX=$(HOME)/.icons/

all:
	mkdir blue_cursors
	mkdir blue_cursors_nonanim
	mkdir blue_cursors_classic
	mkdir blueleft_cursors
	mkdir blueleft_cursors_nonanim
	mkdir blueleft_cursors_classic
        
	mkdir gray_cursors
	mkdir gray_cursors_nonanim
	mkdir grayleft_cursors
	mkdir grayleft_cursors_nonanim
        
	mkdir green_cursors
	mkdir green_cursors_nonanim
	mkdir green_cursors_classic
	mkdir greenleft_cursors
	mkdir greenleft_cursors_nonanim
	mkdir greenleft_cursors_classic
        
	mkdir white_cursors
	mkdir white_cursors_nonanim
	mkdir whiteleft_cursors
	mkdir whiteleft_cursors_nonanim
               
	./left-handed_templates/floptheme.sh  blue
	./left-handed_templates/floptheme.sh  green
	./left-handed_templates/floptheme.sh  gray
	./left-handed_templates/floptheme.sh  white
        
	$(MAKE) -C blue_src
	$(MAKE) -C blue_src_left
	$(MAKE) -C green_src
	$(MAKE) -C green_src_left
	$(MAKE) -C gray_src
	$(MAKE) -C green_src_left
	$(MAKE) -C white_src
	@echo -e "\nAll the cursors where correctly generated.\n"

install:
	$(MAKE) install -C blue_src
	@echo -e "\nBlue version of CrystalCursors were correctly installed.\n"

	$(MAKE) install -C green_src
	@echo -e "\nGreen version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C gray_src
	@echo -e "\nGrayscale version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C white_src
	@echo -e "\nWhite version of CrystalCursors is correctly installed.\n"
        
	$(MAKE) install -C blue_src_left
	@echo -e "\nBlue left handed version of CrystalCursors were correctly installed.\n"

	$(MAKE) install -C green_src_left
	@echo -e "\nGreen left handed  version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C gray_src_left
	@echo -e "\nGrayscale left handed  version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C white_src_left
	@echo -e "\nWhite left handed  version of CrystalCursors is correctly installed.\n"
        
	cp -f  ./blue_src/index.theme.default $(PREFIX)/default/index.theme
	@echo -e "The blue version will be used; in order to change this you can run ./choose.sh"
	@echo -e "in the current folder or copy the proper index.theme in ~/.icons/default."
	@echo -e "Have Fun!\n"
clean:
	rm -rf blue_cursors
	rm -rf blue_cursors_nonanim
	rm -rf blue_cursors_classic
	rm -rf blueleft_cursors
	rm -rf blueleft_cursors_nonanim
	rm -rf blueleft_cursors_classic
	rm -rf blue_src_left
                
	rm -rf gray_cursors
	rm -rf gray_cursors_nonanim
	rm -rf grayleft_cursors
	rm -rf grayleft_cursors_nonanim
	rm -rf gray_src_left
                
	rm -rf green_cursors
	rm -rf green_cursors_nonanim
	rm -rf green_cursors_classic
	rm -rf greenleft_cursors
	rm -rf greenleft_cursors_nonanim
	rm -rf greenleft_cursors_classic
	rm -rf green_src_left
                
	rm -rf white_cursors
	rm -rf white_cursors_nonanim
	rm -rf whiteleft_cursors
	rm -rf whiteleft_cursors_nonanim
	rm -rf white_src_left

uninstall:
	rm -rf $(PREFIX)/crystalblue
	rm -rf $(PREFIX)/crystalblue_nonanim
	rm -rf $(PREFIX)/crystalblue_classic
	rm -rf $(PREFIX)/crystalblueleft
	rm -rf $(PREFIX)/crystalblueleft_nonanim
	rm -rf $(PREFIX)/crystalblueleft_classic
                
	rm -rf $(PREFIX)/crystalgray
	rm -rf $(PREFIX)/crystalgray_nonanim
	rm -rf $(PREFIX)/crystalgrayleft
	rm -rf $(PREFIX)/crystalgrayleft_nonanim
                
	rm -rf $(PREFIX)/crystalgreen
	rm -rf $(PREFIX)/crystalgreen_nonanim
	rm -rf $(PREFIX)/crystalgreen_classic
	rm -rf $(PREFIX)/crystalgreenleft
	rm -rf $(PREFIX)/crystalgreenleft_nonanim
	rm -rf $(PREFIX)/crystalgreenleft_classic
                
	rm -rf $(PREFIX)/crystalwhite
	rm -rf $(PREFIX)/crystalwhite_nonanim
	rm -rf $(PREFIX)/crystalwhiteleft
	rm -rf $(PREFIX)/crystalwhiteleft_nonanim
                
	rm $(PREFIX)/default/index.theme

=== blue_src/Makefile ===
CURSORDIR=$(PREFIX)/crystalblue/cursors
BUILDDIR=../blue_cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= watch left_ptr_watch



########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)




.PHONY: all


all: $(CURSORS) $(ANIMATIONS)
	make all -C nonanim
	make all -C classic

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalblue ;then mkdir $(PREFIX)/crystalblue; fi
	if test ! -d $(PREFIX)/crystalblue/cursors ;then mkdir $(PREFIX)/crystalblue/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalblue/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2


	#QT symlinks mess :-(

	ln -sf v_double_arrow	$(CURSORDIR)/00008160000006810000408080010102 #v_double_arrow
	ln -sf h_double_arrow	$(CURSORDIR)/028006030e0e7ebffc7f7070c0600140 #h_double_arrow
	ln -sf fd_double_arrow	$(CURSORDIR)/fcf1c3c7cd4491d801f1e1c78f100000 #fd_double_arrow
	ln -sf bd_double_arrow	$(CURSORDIR)/c7088f0f3e6c8088236ef8e1e3e70000 #bd_double_arrow
	ln -sf sb_h_double_arrow   $(CURSORDIR)/14fef782d02440884392942c11205230 #sb_h_double_arrow
	ln -sf sb_v_double_arrow   $(CURSORDIR)/2870a09082c103050810ffdffffe0204 #sb_v_double_arrow



	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2
	ln -sf crossed_circle $(CURSORDIR)/03b6e0fcb3499374a867c041f52298f0 # crossed_circle (dnd forbidden)
	ln -sf move $(CURSORDIR)/4498f0e0c1937ffe01fd06f973665830 # left_ptr (move_cursor)
	ln -sf copy $(CURSORDIR)/6407b0e94181790501fd1e167b474872 # copy
	ln -sf link $(CURSORDIR)/640fb0e74195791501fd1ed57b41487f # link


	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf question_arrow $(CURSORDIR)/d9ce0ab605698f320427677b458ad60b # question_arrow

	#Other apps' symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	ln -sf copy $(CURSORDIR)/1081e37283d90000800003c07f3ef6bf #nautilus copy
	ln -sf move $(CURSORDIR)/9081237383d90e509aa00f00170e968f #nautilus move
	ln -sf link $(CURSORDIR)/3085a0e285430894940527032f8b26df #nautilus link

	ln -sf right_ptr $(CURSORDIR)/arrow
	ln -sf cross $(CURSORDIR)/cross_reverse
	ln -sf cross $(CURSORDIR)/crosshair
	ln -sf v_double_arrow $(CURSORDIR)/double_arrow
	ln -sf right_ptr $(CURSORDIR)/draft_large
	ln -sf right_ptr $(CURSORDIR)/draft_small
	ln -sf cross $(CURSORDIR)/plus
	ln -sf cross $(CURSORDIR)/tcross
	ln -sf left_ptr $(CURSORDIR)/top_left_arrow
	ln -sf base_arrow_down $(CURSORDIR)/based_arrow_down
	ln -sf base_arrow_up $(CURSORDIR)/based_arrow_up
	ln -sf fd_double_arrow $(CURSORDIR)/ll_angle
	ln -sf bd_double_arrow $(CURSORDIR)/lr_angle

	make install -C nonanim
	make install -C classic

#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1):  $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))


#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  $(1)/$(1).conf $(1)/*.png
	xcursorgen $(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

=== gray_src/Makefile ===
CURSORDIR=$(PREFIX)/crystalgray/cursors
BUILDDIR=../gray_cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= watch left_ptr_watch



########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)




.PHONY: all


all: $(CURSORS) $(ANIMATIONS)
	make all -C nonanim

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalgray ;then mkdir $(PREFIX)/crystalgray; fi
	if test ! -d $(PREFIX)/crystalgray/cursors ;then mkdir $(PREFIX)/crystalgray/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalgray/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2


	#QT symlinks mess :-(

	ln -sf v_double_arrow	$(CURSORDIR)/00008160000006810000408080010102 #v_double_arrow
	ln -sf h_double_arrow	$(CURSORDIR)/028006030e0e7ebffc7f7070c0600140 #h_double_arrow
	ln -sf fd_double_arrow	$(CURSORDIR)/fcf1c3c7cd4491d801f1e1c78f100000 #fd_double_arrow
	ln -sf bd_double_arrow	$(CURSORDIR)/c7088f0f3e6c8088236ef8e1e3e70000 #bd_double_arrow
	ln -sf sb_h_double_arrow   $(CURSORDIR)/14fef782d02440884392942c11205230 #sb_h_double_arrow
	ln -sf sb_v_double_arrow   $(CURSORDIR)/2870a09082c103050810ffdffffe0204 #sb_v_double_arrow



	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2
	ln -sf crossed_circle $(CURSORDIR)/03b6e0fcb3499374a867c041f52298f0 # crossed_circle (dnd forbidden)
	ln -sf move $(CURSORDIR)/4498f0e0c1937ffe01fd06f973665830 # left_ptr (move_cursor)
	ln -sf copy $(CURSORDIR)/6407b0e94181790501fd1e167b474872 # copy
	ln -sf link $(CURSORDIR)/640fb0e74195791501fd1ed57b41487f # link


	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf question_arrow $(CURSORDIR)/d9ce0ab605698f320427677b458ad60b # question_arrow

	#Other apps' symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	ln -sf copy $(CURSORDIR)/1081e37283d90000800003c07f3ef6bf #nautilus copy
	ln -sf move $(CURSORDIR)/9081237383d90e509aa00f00170e968f #nautilus move
	ln -sf link $(CURSORDIR)/3085a0e285430894940527032f8b26df #nautilus link

	ln -sf right_ptr $(CURSORDIR)/arrow
	ln -sf cross $(CURSORDIR)/cross_reverse
	ln -sf cross $(CURSORDIR)/crosshair
	ln -sf v_double_arrow $(CURSORDIR)/double_arrow
	ln -sf right_ptr $(CURSORDIR)/draft_large
	ln -sf right_ptr $(CURSORDIR)/draft_small
	ln -sf cross $(CURSORDIR)/plus
	ln -sf cross $(CURSORDIR)/tcross
	ln -sf left_ptr $(CURSORDIR)/top_left_arrow
	ln -sf base_arrow_down $(CURSORDIR)/based_arrow_down
	ln -sf base_arrow_up $(CURSORDIR)/based_arrow_up
	ln -sf fd_double_arrow $(CURSORDIR)/ll_angle
	ln -sf bd_double_arrow $(CURSORDIR)/lr_angle

	make install -C nonanim


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))


#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  $(1)/$(1).conf $(1)/*.png
	xcursorgen $(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

=== green_src/Makefile ===
CURSORDIR=$(PREFIX)/crystalgreen/cursors
BUILDDIR=../green_cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= watch left_ptr_watch



########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)




.PHONY: all


all: $(CURSORS) $(ANIMATIONS)
	make all -C nonanim
	make all -C classic

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalgreen ;then mkdir $(PREFIX)/crystalgreen; fi
	if test ! -d $(PREFIX)/crystalgreen/cursors ;then mkdir $(PREFIX)/crystalgreen/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalgreen/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2


	#QT symlinks mess :-(

	ln -sf v_double_arrow	$(CURSORDIR)/00008160000006810000408080010102 #v_double_arrow
	ln -sf h_double_arrow	$(CURSORDIR)/028006030e0e7ebffc7f7070c0600140 #h_double_arrow
	ln -sf fd_double_arrow	$(CURSORDIR)/fcf1c3c7cd4491d801f1e1c78f100000 #fd_double_arrow
	ln -sf bd_double_arrow	$(CURSORDIR)/c7088f0f3e6c8088236ef8e1e3e70000 #bd_double_arrow
	ln -sf sb_h_double_arrow   $(CURSORDIR)/14fef782d02440884392942c11205230 #sb_h_double_arrow
	ln -sf sb_v_double_arrow   $(CURSORDIR)/2870a09082c103050810ffdffffe0204 #sb_v_double_arrow



	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2
	ln -sf crossed_circle $(CURSORDIR)/03b6e0fcb3499374a867c041f52298f0 # crossed_circle (dnd forbidden)
	ln -sf move $(CURSORDIR)/4498f0e0c1937ffe01fd06f973665830 # left_ptr (move_cursor)
	ln -sf copy $(CURSORDIR)/6407b0e94181790501fd1e167b474872 # copy
	ln -sf link $(CURSORDIR)/640fb0e74195791501fd1ed57b41487f # link


	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf question_arrow $(CURSORDIR)/d9ce0ab605698f320427677b458ad60b # question_arrow

	#Other apps' symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	ln -sf copy $(CURSORDIR)/1081e37283d90000800003c07f3ef6bf #nautilus copy
	ln -sf move $(CURSORDIR)/9081237383d90e509aa00f00170e968f #nautilus move
	ln -sf link $(CURSORDIR)/3085a0e285430894940527032f8b26df #nautilus link

	ln -sf right_ptr $(CURSORDIR)/arrow
	ln -sf cross $(CURSORDIR)/cross_reverse
	ln -sf cross $(CURSORDIR)/crosshair
	ln -sf v_double_arrow $(CURSORDIR)/double_arrow
	ln -sf right_ptr $(CURSORDIR)/draft_large
	ln -sf right_ptr $(CURSORDIR)/draft_small
	ln -sf cross $(CURSORDIR)/plus
	ln -sf cross $(CURSORDIR)/tcross
	ln -sf left_ptr $(CURSORDIR)/top_left_arrow
	ln -sf base_arrow_down $(CURSORDIR)/based_arrow_down
	ln -sf base_arrow_up $(CURSORDIR)/based_arrow_up
	ln -sf fd_double_arrow $(CURSORDIR)/ll_angle
	ln -sf bd_double_arrow $(CURSORDIR)/lr_angle

	make install -C nonanim
	make install -C classic


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))


#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  $(1)/$(1).conf $(1)/*.png
	xcursorgen $(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

=== left-handed_templates/Makefile ===
CURSORDIR=$(PREFIX)/crystalblue/cursors
BUILDDIR=../blue_cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= left_ptr_watch



########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)




.PHONY: all


all: $(CURSORS) $(ANIMATIONS)
	make all -C nonanim
	if test -d classic;then make all -C classic; fi

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalblue ;then mkdir $(PREFIX)/crystalblue; fi
	if test ! -d $(PREFIX)/crystalblue/cursors ;then mkdir $(PREFIX)/crystalblue/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalblue/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2






	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2
	ln -sf move $(CURSORDIR)/4498f0e0c1937ffe01fd06f973665830 # left_ptr (move_cursor)
	ln -sf copy $(CURSORDIR)/6407b0e94181790501fd1e167b474872 # copy
	ln -sf link $(CURSORDIR)/640fb0e74195791501fd1ed57b41487f # link


	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf question_arrow $(CURSORDIR)/d9ce0ab605698f320427677b458ad60b # question_arrow

	#Other apps' symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	ln -sf copy $(CURSORDIR)/1081e37283d90000800003c07f3ef6bf #nautilus copy
	ln -sf move $(CURSORDIR)/9081237383d90e509aa00f00170e968f #nautilus move
	ln -sf link $(CURSORDIR)/3085a0e285430894940527032f8b26df #nautilus link

	ln -sf right_ptr $(CURSORDIR)/arrow
	ln -sf right_ptr $(CURSORDIR)/draft_large
	ln -sf right_ptr $(CURSORDIR)/draft_small
	ln -sf cross $(CURSORDIR)/plus
	ln -sf left_ptr $(CURSORDIR)/top_left_arrow

	make install -C nonanim
	if test -d classic;then make install -C classic; fi

#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1):  $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))


#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  $(1)/$(1).conf $(1)/*.png
	xcursorgen $(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

=== white_src/Makefile ===
CURSORDIR=$(PREFIX)/crystalwhite/cursors
BUILDDIR=../white_cursors

#Define here the animation cursor directories
ANIMATED_CURSORS:= watch left_ptr_watch



########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))
animcursorfiles:=$(foreach animationfile,$(ANIMATED_CURSORS),$(BUILDDIR)/$(animationfile))
animcursornames:=$(ANIMATED_CURSORS)



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)
ANIMATIONS= $(animcursorfiles)
ANIMATIONNAMES=$(animcursornames)




.PHONY: all


all: $(CURSORS) $(ANIMATIONS)
	make all -C nonanim

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalwhite ;then mkdir $(PREFIX)/crystalwhite; fi
	if test ! -d $(PREFIX)/crystalwhite/cursors ;then mkdir $(PREFIX)/crystalwhite/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalwhite/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2


	#QT symlinks mess :-(

	ln -sf v_double_arrow	$(CURSORDIR)/00008160000006810000408080010102 #v_double_arrow
	ln -sf h_double_arrow	$(CURSORDIR)/028006030e0e7ebffc7f7070c0600140 #h_double_arrow
	ln -sf fd_double_arrow	$(CURSORDIR)/fcf1c3c7cd4491d801f1e1c78f100000 #fd_double_arrow
	ln -sf bd_double_arrow	$(CURSORDIR)/c7088f0f3e6c8088236ef8e1e3e70000 #bd_double_arrow
	ln -sf sb_h_double_arrow   $(CURSORDIR)/14fef782d02440884392942c11205230 #sb_h_double_arrow
	ln -sf sb_v_double_arrow   $(CURSORDIR)/2870a09082c103050810ffdffffe0204 #sb_v_double_arrow



	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2
	ln -sf crossed_circle $(CURSORDIR)/03b6e0fcb3499374a867c041f52298f0 # crossed_circle (dnd forbidden)
	ln -sf move $(CURSORDIR)/4498f0e0c1937ffe01fd06f973665830 # left_ptr (move_cursor)
	ln -sf copy $(CURSORDIR)/6407b0e94181790501fd1e167b474872 # copy
	ln -sf link $(CURSORDIR)/640fb0e74195791501fd1ed57b41487f # link


	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf question_arrow $(CURSORDIR)/d9ce0ab605698f320427677b458ad60b # question_arrow

	#Other apps' symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch
	ln -sf copy $(CURSORDIR)/1081e37283d90000800003c07f3ef6bf #nautilus copy
	ln -sf move $(CURSORDIR)/9081237383d90e509aa00f00170e968f #nautilus move
	ln -sf link $(CURSORDIR)/3085a0e285430894940527032f8b26df #nautilus link

	ln -sf right_ptr $(CURSORDIR)/arrow
	ln -sf cross $(CURSORDIR)/cross_reverse
	ln -sf cross $(CURSORDIR)/crosshair
	ln -sf v_double_arrow $(CURSORDIR)/double_arrow
	ln -sf right_ptr $(CURSORDIR)/draft_large
	ln -sf right_ptr $(CURSORDIR)/draft_small
	ln -sf cross $(CURSORDIR)/plus
	ln -sf cross $(CURSORDIR)/tcross
	ln -sf left_ptr $(CURSORDIR)/top_left_arrow
	ln -sf base_arrow_down $(CURSORDIR)/based_arrow_down
	ln -sf base_arrow_up $(CURSORDIR)/based_arrow_up
	ln -sf fd_double_arrow $(CURSORDIR)/ll_angle
	ln -sf bd_double_arrow $(CURSORDIR)/lr_angle

	make install -C nonanim


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))


#Animated Cursors
define ANIMCURSOR_template
$(BUILDDIR)/$(1):  $(1)/$(1).conf $(1)/*.png
	xcursorgen $(1)/$(1).conf $(BUILDDIR)/$(1)
endef

$(foreach anim,$(ANIMATIONNAMES),$(eval $(call ANIMCURSOR_template,$(anim))))

=== blue_src/classic/Makefile ===
CURSORDIR=$(PREFIX)/crystalblue_classic/cursors
BUILDDIR=../../blue_cursors_classic


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalblue_classic ;then mkdir $(PREFIX)/crystalblue_classic; fi
	if test ! -d $(PREFIX)/crystalblue_classic/cursors ;then mkdir $(PREFIX)/crystalblue_classic/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalblue_classic/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2
	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2

#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

=== blue_src/nonanim/Makefile ===
CURSORDIR=$(PREFIX)/crystalblue_nonanim/cursors
BUILDDIR=../../blue_cursors_nonanim


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalblue_nonanim ;then mkdir $(PREFIX)/crystalblue_nonanim; fi
	if test ! -d $(PREFIX)/crystalblue_nonanim/cursors ;then mkdir $(PREFIX)/crystalblue_nonanim/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalblue_nonanim/

	#Create some symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

left_ptr_watch.png: ../left_ptr_watch/left_ptr_watch12.png
	ln -sf ../left_ptr_watch/left_ptr_watch12.png left_ptr_watch.png

watch.png: ../watch/watch12.png
	ln -sf ../watch/watch12.png watch.png

=== gray_src/nonanim/Makefile ===
CURSORDIR=$(PREFIX)/crystalgray_nonanim/cursors
BUILDDIR=../../gray_cursors_nonanim


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalgray_nonanim ;then mkdir $(PREFIX)/crystalgray_nonanim; fi
	if test ! -d $(PREFIX)/crystalgray_nonanim/cursors ;then mkdir $(PREFIX)/crystalgray_nonanim/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalgray_nonanim/

	#Create some symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

left_ptr_watch.png: ../left_ptr_watch/left_ptr_watch12.png
	ln -sf ../left_ptr_watch/left_ptr_watch12.png left_ptr_watch.png

watch.png: ../watch/watch12.png
	ln -sf ../watch/watch12.png watch.png

=== green_src/classic/Makefile ===
CURSORDIR=$(PREFIX)/crystalgreen_classic/cursors
BUILDDIR=../../green_cursors_classic


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalgreen_classic ;then mkdir $(PREFIX)/crystalgreen_classic; fi
	if test ! -d $(PREFIX)/crystalgreen_classic/cursors ;then mkdir $(PREFIX)/crystalgreen_classic/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalgreen_classic/

	#Create some symlinks
	ln -sf hand $(CURSORDIR)/hand1
	ln -sf hand $(CURSORDIR)/hand2
	ln -sf hand1 $(CURSORDIR)/9d800788f1b08800ae810202380a0822 #hand1
	ln -sf hand2 $(CURSORDIR)/e29285e634086352946a0e7090d73106 #hand2

#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

=== green_src/nonanim/Makefile ===
CURSORDIR=$(PREFIX)/crystalgreen_nonanim/cursors
BUILDDIR=../../green_cursors_nonanim


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalgreen_nonanim ;then mkdir $(PREFIX)/crystalgreen_nonanim; fi
	if test ! -d $(PREFIX)/crystalgreen_nonanim/cursors ;then mkdir $(PREFIX)/crystalgreen_nonanim/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalgreen_nonanim/

	#Create some symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

left_ptr_watch.png: ../left_ptr_watch/left_ptr_watch12.png
	ln -sf ../left_ptr_watch/left_ptr_watch12.png left_ptr_watch.png

watch.png: ../watch/watch12.png
	ln -sf ../watch/watch12.png watch.png

=== white_src/nonanim/Makefile ===
CURSORDIR=$(PREFIX)/crystalwhite_nonanim/cursors
BUILDDIR=../../white_cursors_nonanim


########################################################################

#Find list of cursors
conffiles = $(wildcard *.conf)
cursorfiles:= $(foreach conffile,$(conffiles),$(BUILDDIR)/$(subst ./,,$(subst .conf,,$(conffile))))
cursornames:= $(foreach conffile,$(conffiles),$(subst ./,,$(subst .conf,,$(conffile))))



CURSORS = $(cursorfiles)
CURSORNAMES= $(cursornames)




.PHONY: all


all: $(CURSORS)

install: all
	#Create necessary directories

	if test ! -d $(PREFIX) ;then mkdir $(PREFIX); fi
	if test ! -d $(PREFIX)/default ;then mkdir $(PREFIX)/default;fi
	if test ! -d $(PREFIX)/crystalwhite_nonanim ;then mkdir $(PREFIX)/crystalwhite_nonanim; fi
	if test ! -d $(PREFIX)/crystalwhite_nonanim/cursors ;then mkdir $(PREFIX)/crystalwhite_nonanim/cursors; fi
	#Copy the cursors

	cp -Rf $(BUILDDIR)/* $(CURSORDIR)

	#Copy the configuration file
	cp -f  index.theme $(PREFIX)/crystalwhite_nonanim/

	#Create some symlinks
	ln -sf left_ptr_watch $(CURSORDIR)/3ecb610c1bf2410f44200f48c40d3599 # left_ptr_watch
	ln -sf left_ptr_watch $(CURSORDIR)/08e8e1c95fe2fc01f976f1e063a24ccd #mozilla's left_ptr_watch


#Normal Cursors
define CURSOR_template
$(BUILDDIR)/$(1): $(1).png $(1).conf
	xcursorgen $(1).conf $(BUILDDIR)/$(1)
endef

$(foreach cursor,$(CURSORNAMES),$(eval $(call CURSOR_template,$(cursor))))

left_ptr_watch.png: ../left_ptr_watch/left_ptr_watch12.png
	ln -sf ../left_ptr_watch/left_ptr_watch12.png left_ptr_watch.png

watch.png: ../watch/watch12.png
	ln -sf ../watch/watch12.png watch.png

=== debian/changelog ===
crystalcursors (1.1.1-14) unstable; urgency=low

  * grey_watch.patch: Replace bad clock animation frame in gray theme
    (Closes: #705782). Thanks to Maximiliano Curia <maxy@debian.org>.
  * Remove broken superfluous symlinks (Closes: #702857).
  * Upgrade to Standards-Version 3.9.7, adding an empty build-arch target.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 25 Mar 2016 16:35:00 +0100

crystalcursors (1.1.1-13) unstable; urgency=low

  * New maintainer (Closes: #529434).
  * Do not remove alternatives on upgrade.
  * Delete unused and unnecessary stuff from debian/rules.
  * Add build-indep target.
  * Drop 01-correct-upstreams-makefile.patch: 
    - Pass PREFIX instead of DESTDIR from debian/rules
    - The "all" target should not have "clean" as a prerequisite; the
      problem in bug #368468 was just that patch-stamp wasn't created
      and we don't need that with source format 3.0.
  * Add CREDITS to debian/docs.
  * Add additional symlinks that Qt look for, as well as the missing
    ul_angle and ur_angle (Closes: #430827, #499344; works around:
    #548804).
  * Improve package description.
  * Give a suitable theme higher priority than the rest like; crystalblue
    (the blue, right-handed, animated theme) is what the upstream author
    intends as the default (Closes: #500881).
  * Bump Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Aug 2010 01:15:06 +0200

crystalcursors (1.1.1-12) unstable; urgency=medium

  [ Jari Aalto ]
  * QA upload
  * debian/rules
    - (install): remove deletion of empty directory
      usr/share/icons/default that is required in postinst
      (upgrade failure, Grave; Closes: #582517).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 May 2010 12:15:44 +0300

crystalcursors (1.1.1-11) unstable; urgency=low

  [ Jari Aalto ]
  * QA upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/compat
    - Update to 7.
  * debian/changelog
    - Delete EOL whitespaces.
  * debian/control
    - (Build-Depends): update obsolete xbase-clients to x11-apps.
      (important; Closes: #575613).
      Update to debhelper 7.1. Remove obsolete dpatch.
    - (Maintainer): set to QA Group.
    - (Standards-Version): Update to 3.8.4.
    - (crystalcursors::Section): Remove inherited field.
  * debian/copyright
    - Point to LGPL-2. Change obsolete FSF address to URL.
    - Update layout.
  * debian/patches
    - Convert from dpatch to quilt
    - Combine trivial patches 01 and 02 (Makefile).
  * debian/rules
    - Remove obsolete dpatch.
    - (install): Update dh_clean to dh_prep. Remove empty directory
      usr/share/icons/default
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 20:42:23 +0300

crystalcursors (1.1.1-10) unstable; urgency=low

  * Added Homepage field

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Mar 2008 14:52:29 +0100

crystalcursors (1.1.1-9) unstable; urgency=low

  * Applied ubuntu patch to fix FTBFS with dash (Closes: #459053)
  * Bumped standards version

 -- Bastian Venthur <venthur@debian.org>  Sun, 20 Jan 2008 18:20:47 +0100

crystalcursors (1.1.1-8) unstable; urgency=low

  * Updated maintainer field

 -- Bastian Venthur <venthur@debian.org>  Wed, 18 Oct 2006 19:31:55 +0200

crystalcursors (1.1.1-7) unstable; urgency=low

  * Don't remove u/s/icons/default (again)
    Closes: #363059, thanks Magnus Holmgren

  * Corrected patch-rule, switched to easier dpatch.make and created a patch
    against upstreams Makefile (fix_build_target)
    Closes: #368468 (FTBFS: Forgot to touch patch-stamp),
    thanks Magnus Holmgren

  * Removed xlibs-data from Depends: we don't need it to install the package

  * Minor Changes:
    - Sanitized package description, thanks Martin Michlmayr
    - Bumped Standards Version, thanks Martin Michlmayr
    - Substituted sed-command with grep -v, thanks Christoph Haas

 -- Bastian Venthur <mail@venthur.de>  Mon, 22 May 2006 18:09:03 +0200

crystalcursors (1.1.1-6) unstable; urgency=low

  * Provide /usr/share/icons/default
    Closes: #363059 "Fails to install, missing dir to create alternatives.",
    thanks to Sune Vuorela and Steve Langasek

  * Restored wrappers for alternatives system
    Closes: #365072 "Please restore wrappers for alternatives system.",
    thanks again Aaron M. Ucko

  * Adjusted Build-Depends and Build-Depends-Indep to make lintian happy

  * Introduced dpatch to change upstreams Makefile to keep upstream's
    sourcetree clean

 -- Bastian Venthur <mail@venthur.de>  Fri, 28 Apr 2006 10:21:06 +0200

crystalcursors (1.1.1-5) unstable; urgency=low

  * Moved icons from old (/u/X11R6/l/X11/icons) to new (/u/s/icons)
    Closes: #362504 "Wrong path for Xorg 7.0"
    - removed lintian overrides

  * Cleaned up update-alternatives script

 -- Bastian Venthur <mail@venthur.de>  Thu, 13 Apr 2006 08:11:24 +0200

crystalcursors (1.1.1-4) unstable; urgency=low

  * Tightened dependency from x-window-system-core to xlibs-data.
    - Closes: #356602 "unneccessarily depends on x-window-system-core"

 -- Bastian Venthur <mail@venthur.de>  Mon, 20 Mar 2006 16:21:22 +0100

crystalcursors (1.1.1-3) unstable; urgency=low

  * Added dependency on x-window-system-core
    - Closes: #351200 "fails to install"

 -- Bastian Venthur <mail@venthur.de>  Mon, 27 Feb 2006 16:55:56 +0100

crystalcursors (1.1.1-2) unstable; urgency=low

  * Register crystalcursors as x-cursor-theme and make them thereby available
    via update-alternatives
    - Closes: #330626 "please register x-cursor-theme alternatives", many
    thanks to Aaron Ucko!

  * Added a README.debian to explain how to use update-alternatives

  * Minor cleanup in rules file

 -- Bastian Venthur <mail@venthur.de>  Sun, 27 Nov 2005 17:03:13 +0100

crystalcursors (1.1.1-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: crystalcursors
Section: x11
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 7.1)
Build-Depends-Indep: imagemagick, x11-apps
Standards-Version: 3.9.7
Homepage: http://www.kde-look.org/content/show.php?content=6240

Package: crystalcursors
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 mouse theme with the crystal look&feel
 This package contains "Crystal" style mouse cursor themes in four
 colours (blue, green, white, and grey) as well as green and blue
 "classic", wherein certain cursors (e.g. the "hand" cursor) are white
 instead of coloured.
 .
 For Each of the above colours there are both right and left handed
 versions as well as animated and non-animated ones (except for the
 "classic" themes, which are all animated), for a total of 20
 combinations.
 .
 Note: Please read /usr/share/doc/crystalcursors/README.Debian to learn how to
 change the default cursor theme system-wide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set some variables
ICONDIR=usr/share/icons
SHAREDIR=usr/share/crystalcursors
WRAPPERDIR=etc/X11/cursors

build: build-indep

build-arch:
build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean

	dh_clean 

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/crystalcursors.
	$(MAKE) install PREFIX=$(CURDIR)/debian/crystalcursors/$(ICONDIR)
	find $(CURDIR)/debian/crystalcursors/$(ICONDIR) -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/crystalcursors/$(ICONDIR) -type d -exec chmod 755 {} \;

	# Don't overwrite system's default xcursor, just provide the directory
	rm -r $(CURDIR)/debian/crystalcursors/$(ICONDIR)/default/*

	# There are no left-hand "cross" cursors, so don't symlink to them:
	rm $(CURDIR)/debian/crystalcursors/$(ICONDIR)/crystal*left/cursors/plus

	# Find *.theme and copy 'em to wrapper-location (see #365072)
	# We have to change the Inherits line in (only) in the wrapper *.themes:
	#  1) find .themes
	#  2) remove lines with "Inherits" and save as tmp
	#  3) write new Inherits-line with name of the directory in /usr/share/icons
	# -- I know this is tricky, but I have not yet found a more elegant way to make
	#    crystalcursors work with debian's update-alternative 
	# In addition, add new symlinks that Qt 4 looks for

	cd $(CURDIR)/debian/crystalcursors/$(ICONDIR); \
	for theme in crystal*; do \
	    grep -v Inherits $(CURDIR)/debian/crystalcursors/$(ICONDIR)/$${theme}/index.theme > tmp ; \
	    echo "Inherits = $${theme}" >> tmp ; \
	    install -m 644 tmp $(CURDIR)/debian/crystalcursors/$(WRAPPERDIR)/$${theme}.theme; \
	    rm tmp; \
	    while read target link; do \
	        if [ -e $$theme/cursors/$$target ]; then ln -sf $$target $$theme/cursors/$$link; fi; \
	    done < $(CURDIR)/debian/extra_symlinks;\
	done

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
#	dh_install
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# No arch-dependent packages

binary: binary-indep
.PHONY: build-indep build clean binary-indep binary-arch binary install configure
